Get Legal Hold for a Customer
1 min
GET
https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId}
Path Parameters
- customerIdstring<uuid>requiredDescriptionFormatuuid
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringrequiredDescription
Responses
200
- LegalHoldResponseDescription
- tenantstringrequired
- siteIdstringrequired
- customerIdstring<uuid>requiredFormatuuid
- holdReasonstringrequired
- createdAtstring<date-time>requiredFormatdate-time
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/legal-hold/{customerId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Legal hold details for the customer.
{
"tenant": "",
"siteId": "",
"customerId": "",
"holdReason": "",
"createdAt": ""
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}